| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxPGInDialogValidator Class Reference

`#include <wx/propgrid/props.h>`

## Detailed Description

Creates and manages a temporary wxTextCtrl for validation purposes.

Uses wxPropertyGrid's current editor, if available.

## Public Member Functions

| wxPGInDialogValidator ()
| ~wxPGInDialogValidator ()
bool | DoValidate (wxPropertyGrid *propGrid, wxValidator *validator, const wxString &value)

## Constructor & Destructor Documentation

wxPGInDialogValidator::wxPGInDialogValidator | ( |  | ) |

wxPGInDialogValidator::~wxPGInDialogValidator | ( |  | ) |

## Member Function Documentation

bool wxPGInDialogValidator::DoValidate | ( | wxPropertyGrid * | propGrid,
|  | wxValidator * | validator,
|  | const wxString & | value
| ) |  |